let util = require('../../../utils/util.js');
var that
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    that = this
    this.getData()
  },
  set5(e) {
    this.setData({
      payWay5: e.detail.value
    })
  },
  set6(e) {
    this.setData({
      payWay6: e.detail.value
    })
  },
  set7(e) {
    this.setData({
      payWay7: e.detail.value
    })
  },
  set8(e) {
    this.setData({
      payWay8: e.detail.value
    })
  },
  getData() {
    util.query('userSetting/wxapi/getMySetting', {}, function(res) {
      if (res.code === 10000) {
        that.setData(res.data)
      }
    })
  },
  cancel() {
    wx.navigateBack({
      delta: 1
    })
  },
  save() {
    util.query('userSetting/wxapi/saveSetting', this.data, function(res) {
      if (res.code === 10000) {
        util.showToast('保存成功')
        setTimeout(function() {
          wx.navigateBack({
            delta: 1
          })
        }, 2000)
      }
    }, 'POST')
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})